<%@ Page Language="C#" AutoEventWireup="true" Inherits="CMSAdminControls_UI_Macros_KSharpDemo"
    Title="Untitled Page" ValidateRequest="false" Theme="default" MasterPageFile="~/CMSMasterPages/UI/SimplePage.master"
    CodeFile="KSharpDemo.aspx.cs" %>

<%@ Register Src="~/CMSAdminControls/UI/Trees/MacroTree.ascx" TagName="MacroTree" TagPrefix="cms" %>
<%@ Register Src="~/CMSAdminControls/UI/Macros/MacroSelector.ascx" TagPrefix="cc1"
    TagName="MacroSelector" %>
<%@ Register Src="~/CMSAdminControls/UI/Macros/MacroEditor.ascx" TagName="MacroEditor"
    TagPrefix="cms" %>
<asp:Content runat="server" ContentPlaceHolderID="plcBeforeContent">
    <div class="PageHeaderLine">
        <script type="text/javascript">
        //<![CDATA[
            // Removes new lines at the end of the given text
            function trimNewLines(text) {
                return text.replace(/(\r\n|\n|\r)+$/, '');
            }

            // Removes macro
            function removeMacro(selId, controlPanelId, selPanelId) {
                wopener.setNestedControlValue(selId, controlPanelId, '', selPanelId);
            }
        //]]>
        </script>
        <asp:Panel runat="server" ID="pnlContent" CssClass="PageContent">
            <cms:MacroEditor ID="macroEditor" runat="server" />
            <br />
            <cc1:MacroSelector ID="macroSelector" runat="server" JavaScripFunction="insertMacro"
                showextendedcontrols="true" TopOffset="35" />
            <br />
            <cms:CMSButton ID="btnRemove" runat="server" CssClass="LongSubmitButton" EnableViewState="false"
                OnClick="btnRefresh_Click" Text="EVALUATE MACROS" />
        </asp:Panel>
    </div>
</asp:Content>
<asp:Content ID="cntContent" ContentPlaceHolderID="plcContent" runat="Server">
    <table style="margin: 0px 20px 10px 10px;">
        <tr style="vertical-align: top;">
            <td>
                <asp:TextBox runat="server" ID="txtOutput" TextMode="MultiLine" Height="400" Width="600" />
            </td>
            <td>
                <cms:MacroTree ID="treeElem" runat="server" Visible=false />
                <div style="margin-left: 20px;">
                    <asp:Label ID="lblTreeInfo" runat="server" Visible="false" CssClass="ErrorLabel"></asp:Label>
                </div>
            </td>
        </tr>
    </table>
</asp:Content>
